| Kea 3.0.2-git

logger_support.h File Reference

Logging initialization functions. More...

`#include <unistd.h>`
`#include <string>`
`#include <log/logger.h>`
`#include <log/logger_unittest_support.h>`
Include dependency graph for logger_support.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log

## Functions
void | isc::log::initLogger (const std::string &root, isc::log::Severity severity=isc::log::INFO, int dbglevel=0, const char *file=NULL, bool buffer=false)
| Run-time initialization.
bool | isc::log::isLoggingInitialized ()
| Is logging initialized?
void | isc::log::setDefaultLoggingOutput (bool verbose=true)
| Reset root logger characteristics.
void | isc::log::setLoggingInitialized (bool state=true)
| Set state of "logging initialized" flag.

## Detailed Description

Logging initialization functions.

Contains a set of functions relating to logging initialization that are used by the production code.

Definition in file logger_support.h.